import { OnInit, EventEmitter } from "@angular/core";
import { MatMenuTrigger } from '@angular/material/menu';
import { MatDialog } from '@angular/material/dialog';
export declare class SectionHoverComponent implements OnInit {
    dialog: MatDialog;
    hoverUpon: string;
    meta_data: any;
    addSpaceClass: string;
    addSectionMenu: MatMenuTrigger;
    activeSidebarOptions: string;
    selectedSection: {
        focused: boolean;
        type: string;
        section_rows: any;
        section_type: any;
        meta_data: any;
    };
    /**
     * @description
     * Emit event to add element.
     */
    onAddSection: EventEmitter<any>;
    onRemoveSection: EventEmitter<any>;
    onCloneSection: EventEmitter<any>;
    onMoveSection: EventEmitter<any>;
    onClick: EventEmitter<any>;
    constructor(dialog: MatDialog);
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    changePage(page: string): void;
    addSection(section_type: string): void;
    removeSection(): void;
    cloneSection(): void;
    moveSection(position: string): void;
    openConfigPanel(data: any): void;
    mouseHover(e: any, type: any): void;
    mainElementClick(data: any, event: any): void;
}
